#include <stdio.h>
#include <stdlib.h>
#include <time.h>

int main()
{
    int versionNumbers[3];
    int readCount;

    time_t timeInMillis = time(NULL);
    struct tm* timeStruct = localtime(&timeInMillis);    

    readCount = scanf(
        "%d.%d.%d",
        versionNumbers,
        versionNumbers + 1,
        versionNumbers + 2
        );

    if (readCount == 3)
    {
        printf(
            "%d.%d.%03d\n",
            versionNumbers[0],
            versionNumbers[1],
            versionNumbers[2] + 1
            );

        printf(
            "%d/%d/%02d\n",
            timeStruct->tm_mon + 1,
            timeStruct->tm_mday,
            timeStruct->tm_year % 100
            );

        return EXIT_SUCCESS;
    }
    else {
        printf("0.0.000\n");

        printf(
            "%d/%d/%02d\n",
            timeStruct->tm_mon + 1,
            timeStruct->tm_mday,
            timeStruct->tm_year % 100
            );

        fprintf(stderr, "Error: Unable to parse version number.");

        return EXIT_FAILURE;
    }
}
