package toy.dialog;

import java.awt.*;
import java.awt.event.*;

/**
 *
 * @author Brian Tsang
 * @version 7.0
 */

public class ToyFocusManager implements FocusListener
{
    private Component focusedComponent;

    public ToyFocusManager()
    {
    }

    ////////////////////////////////////////////////////////////////////////////
    // The get and set functions
    public Component getFocusedComponent()
    {
        return focusedComponent;
    }

    ////////////////////////////////////////////////////////////////////////////
    // Implement FocusListener
    public void focusLost(FocusEvent e)
    {
        focusedComponent = null;
    }

    public void focusGained(FocusEvent e)
    {
        focusedComponent = e.getComponent();
    }
}