#include <assert.h>
#include <stdio.h>

int main(void)
{
    int ch = getchar();
    int netCtr = 1;
    int parenthesisCount = 0;
    int bracketCount = 0;

    while (ch != -1)
    {
        if (ch == 'N' && parenthesisCount == 1)
        {
            assert(getchar() == 'E' && getchar() == 'T');

            ch = getchar();
            while (ch != '\r' && ch != -1)
            {
                assert(ch >= '0' && ch <= '9');
                ch = getchar();
            }

			if (ch == '\r')
			{
				assert(getchar() == '\n');
			}

            printf("NET%d\r\n", netCtr);
            netCtr++;
        }
        else if (ch == '(')
        {
            assert(getchar() == '\r');
            assert(getchar() == '\n');
            assert(bracketCount == 0);
            parenthesisCount++;
            assert(parenthesisCount == 1);
            putchar('(');
            putchar('\r');
            putchar('\n');
        }
        else if (ch == ')')
        {
            assert(getchar() == '\r');
            assert(getchar() == '\n');
            parenthesisCount--;
            assert(parenthesisCount == 0);
            putchar(')');
            putchar('\r');
            putchar('\n');
        }
        else if (ch == '[')
        {
            assert(getchar() == '\r');
            assert(getchar() == '\n');
            assert(parenthesisCount == 0);
            bracketCount++;
            assert(bracketCount == 1);
            putchar('[');
            putchar('\r');
            putchar('\n');
        }
        else if (ch == ']')
        {
            assert(getchar() == '\r');
            assert(getchar() == '\n');
            bracketCount--;
            assert(bracketCount == 0);
            putchar(']');
            putchar('\r');
            putchar('\n');
        }
        else {
            while (ch != '\r' && ch != -1)
            {
                putchar(ch);
                if (ch != ' ' && ch != '\t')
                    assert(parenthesisCount != 0 || bracketCount != 0);
                ch = getchar();
            }
			if (ch == '\r')
			{
				assert(getchar() == '\n');
			}
            putchar('\r');
            putchar('\n');
        }

        fflush(stdout);

        if (ch != -1)
            ch = getchar();
    }

	assert(parenthesisCount == 0 && bracketCount == 0);

    return 0;
}
