package toy;

import java.security.*;

/**
 * ToySecurityManager is a simple subclass of SecurityManager which allows all
 * actions.  This security manager is only loaded in the application form of
 * Visual X-TOY (no decent browser would allow an Applet to change the security
 * settings).
 *
 * @author Brian Tsang
 * @version 7.0
 */

public class ToySecurityManager extends SecurityManager
{
    /**
     * Construct a ToySecurityManager.
     */
    public ToySecurityManager()
    {

    }

    /**
     * Does not throw a security exception no matter what perm is.
     * @param perm the permission in question.
     */
    public void checkPermission(Permission perm)
    {

    }

    /**
     * Does not throw a security exception no matter what perm is.
     * @param perm the permission in question.
     * @param context a system dependent security context.
     */
    public void checkPermission(Permission perm, Object context)
    {

    }
}